﻿#Example to change IP address based on PCI Location
#Addresses teh issue when two controllers on the board have the same controller name

#$netadapterInfo = get-netadapterhardwareinfo -Name "*" | Format-List -Property *
$netadapterInfo2 = get-netadapterhardwareinfo -Name "*" | select LocationInformationString, ifAlias


ForEach ($adapter in $netadapterInfo2){


    $PCILocation = $adapter.LocationInformationString
    $PCILocation

    if($PCILocation -eq "PCI bus 2, device 0, function 0"){

        $PCIAdapterName = $adapter.ifAlias
        $PCIAdapterName
        netsh interface ipv4 set address name = $adapter.ifAlias static 192.168.2.5 255.255.255.0 192.168.0.0

    }
}




